Skip to main content
POST
/
signing-requests
/
{id}
/
resend
Resend signing request to specific recipients
curl --request POST \
  --url https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{id}/resend \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "recipient_ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "custom_message": "Gentle reminder to complete your signature"
}
'
import requests

url = "https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{id}/resend"

payload = {
    "recipient_ids": ["123e4567-e89b-12d3-a456-426614174000"],
    "custom_message": "Gentle reminder to complete your signature"
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    recipient_ids: ['123e4567-e89b-12d3-a456-426614174000'],
    custom_message: 'Gentle reminder to complete your signature'
  })
};

fetch('https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{id}/resend', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "<string>",
  "signing_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "recipients_notified": 123,
  "recipients": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "name": "<string>"
    }
  ],
  "recipients_failed": 123
}
{
  "error": "Validation Error",
  "message": "Invalid input data",
  "details": {
    "name": "Name is required",
    "email": "Invalid email format"
  }
}
{
  "error": "Unauthorized",
  "message": "Invalid API key"
}
{
  "error": "Not Found",
  "message": "The requested resource was not found"
}
{
  "error": "<string>",
  "code": "<string>",
  "details": {
    "current_order": 123,
    "invalid_recipients": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "<string>",
        "order": 123
      }
    ]
  }
}
{
  "error": "Rate Limit Exceeded",
  "message": "Too many requests. Please wait before retrying.",
  "details": {
    "retry_after": 45
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Signing request ID

Body

application/json
recipient_ids
string<uuid>[]
required

Array of recipient user IDs to resend to

Minimum array length: 1
custom_message
string

Optional custom message to include in resend notification

Maximum string length: 1000

Response

Signing request resent successfully

message
string
signing_request_id
string<uuid>
recipients_notified
integer
recipients
object[]
recipients_failed
integer

Number of recipients whose resend notification failed to send